#!/usr/bin/env bash

# Terminate already running bar instances
# If all your bars have ipc enabled, you can use 
polybar-msg cmd quit
# Otherwise you can use the nuclear option:
# killall -q polybar

# Launch bar1 and bar2
echo "---" | tee -a /tmp/example.log
#polybar example --config=$HOME/.config/polybar/config.ini 2>&1 | tee -a /tmp/example.log & disown

if type "xrandr"; then
  for m in $(xrandr --query | grep " connected" | cut -d" " -f1); do
    echo $m
    MONITOR=$m polybar --reload example --config=$HOME/.config/polybar/config.ini &
  done
else
  polybar --reload example --config=$HOME/.config/polybar/config.ini  &
fi

echo "Bars launched..."
